Last Comment Bug 703818 - [ObjShrink] "Assertion failure: hasSlot() && !hasMissingSlot(),"
: [ObjShrink] "Assertion failure: hasSlot() && !hasMissingSlot(),"
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Windows 7
: -- critical (vote)
: ---
Assigned To: Brian Hackett (:bhackett)
:
Mentors:
Depends on:
Blocks: 630996
  Show dependency treegraph
 
Reported: 2011-11-18 19:30 PST by Gary Kwong [:gkw] [:nth10sd]
Modified: 2013-01-14 08:26 PST (History)
3 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Gary Kwong [:gkw] [:nth10sd] 2011-11-18 19:30:11 PST
Object.defineProperty(Namespace.prototype, "toString", {
    enumerable: true
})

asserts js debug shell on JM changeset a335853be219 without any CLI arguments at Assertion failure: hasSlot() && !hasMissingSlot(),
Comment 1 Brian Hackett (:bhackett) 2011-11-22 14:54:45 PST
Misuse of shape->slot() within an assertion, shape->maybeSlot() should have been used instead.

https://hg.mozilla.org/projects/jaegermonkey/rev/198c47f803c1
Comment 2 Christian Holler (:decoder) 2013-01-14 08:26:40 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/basic/bug703818.js.

Note You need to log in before you can comment on or make changes to this bug.